:: =============================================================================
:: @author: <guillaume.leseach@oceandatalab.com>
:: @date: 2019-04-05
:: 
:: Copyright (C) 2014-2019 OceanDataLab
:: 
:: This program is free software: you can redistribute it and/or modify
:: it under the terms of the GNU Lesser General Public License as
:: published by the Free Software Foundation, either version 3 of the
:: License, or (at your option) any later version.
:: 
:: This program is distributed in the hope that it will be useful,
:: but WITHOUT ANY WARRANTY; without even the implied warranty of
:: MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
:: GNU Affero General Public License for more details.
:: 
:: 
:: You should have received a copy of the GNU Lesser General Public License
:: along with this program.  If not, see <https://www.gnu.org/licenses/>.
:: 
:: Wrapper that initializes configuration, chooses a version of SEAScope which
:: is compatible which the host system and starts the application with the
:: options that provide the best performances.
:: =============================================================================

@echo on
set filename="%~dp0config.ini"
if not exist %filename% ( 
echo [paths] >> %filename%
echo plugins=%~dp0plugins >> %filename%
echo colormaps=%~dp0colormaps >> %filename%
echo operators=%~dp0operators >> %filename%
echo data=%~dp0data >> %filename%
echo state=%~dp0state.db >> %filename%
echo index=%~dp0index.fb >> %filename%
echo annotations=%~dp0annotations.db >> %filename%
echo [rendering] >> %filename%
echo glRenderer=OpenGL3 >> %filename%
echo glContextMajor=3 >> %filename%
echo glContextMinor=3 >> %filename%
echo windowWidth=800 >> %filename%
echo windowHeight=800 >> %filename%
echo antialiasing=false >> %filename%
echo antialiasingType=msaa >> %filename%
echo antialiasingFactor=8 >> %filename%
echo fullscreen=false >> %filename%
echo vsync=false >> %filename%
echo minGranuleScreenEstate=1.0 >> %filename%
echo [timeline] >> %filename%
echo minYear=1988 >> %filename%
echo maxYear=2018 >> %filename%
echo timespans=3h^|3 hours timespan^|5400^|5400,6h^|6 hours timespan^|10800^|10800,1d^|1 day timespan^|43200^|43200,3d^|3 days timespan^|129600^|129600,1w^|1 week timespan^|302400^|302400 >> %filename%
echo timesteps=3h^|Move by 3 hours^|10800,6h^|Move by 6 hours^|21600,Day^|Move by 24 hours^|86400,Week^|Move by 7 days^|604800,Event^|Move to previous/next available data^|0 >> %filename%
echo defaultTimespan=1d >> %filename%
echo defaultTimestep=Event >> %filename%
echo useNearestMode=true >> %filename%
echo useNearestInDayMode=true >> %filename%
echo advancedScrolling=false >> %filename%
echo initialDatetime= >> %filename%
echo [misc] >> %filename%
echo worldMap=lowres >> %filename%
echo skipIndexCheck=false >> %filename%
echo searchRequestMinDelay=0 >> %filename%
echo [processor] >> %filename%
echo enabled=true >> %filename%
echo address=127.0.0.1 >> %filename%
echo port=53450 >> %filename%
)

cd "%~dp0"

@echo off
REM call :seascope > debug.log
call :seascope
exit /b

:seascope
REM bin\seascope.exe -c config.ini -w . -l 127.0.0.1:11155 --debug
bin\seascope.exe -c config.ini -w . -l 127.0.0.1:11155

